## org.apache.batik.ext.awt.image.renderable
Interface TurbulenceRable

All Superinterfaces:
  Filter, FilterColorInterpolation, java.awt.image.renderable.RenderableImage

All Known Implementing Classes:
  TurbulenceRable8Bit

public interface TurbulenceRable
extends FilterColorInterpolation

Creates a sourceless image from a turbulence function.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`double` `getBaseFrequencyX()` Gets the current base fequency in x direction.
`double` `getBaseFrequencyY()` Gets the current base fequency in y direction.
`int` `getNumOctaves()` Gets the current number of octaves for the noise function .
`int` `getSeed()` Gets the current seed value for the pseudo random number generator.
`java.awt.geom.Rectangle2D` `getTurbulenceRegion()` Gets the turbulence region
`boolean` `isFractalNoise()` Returns true if the turbulence function is using fractal noise, instead of turbulence noise.
`boolean` `isStitched()` Returns true if the turbulence function is currently stitching tiles.
`void` `setBaseFrequencyX(double xfreq)` Sets the base fequency in x direction.
`void` `setBaseFrequencyY(double yfreq)` Sets the base fequency in y direction.
`void` `setFractalNoise(boolean fractalNoise)` Turns on/off fractal noise.
`void` `setNumOctaves(int numOctaves)` Sets the number of octaves for the noise function .
`void` `setSeed(int seed)` Sets the seed value for the pseudo random number generator.
`void` `setStitched(boolean stitched)` Sets stitching state for tiles.
`void` `setTurbulenceRegion(java.awt.geom.Rectangle2D turbulenceRegion)` Sets the turbulence region

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### setTurbulenceRegion

    public void setTurbulenceRegion(java.awt.geom.Rectangle2D turbulenceRegion)

  Sets the turbulence region

### getTurbulenceRegion

    public java.awt.geom.Rectangle2D getTurbulenceRegion()

  Gets the turbulence region

### getSeed

    public int getSeed()

  Gets the current seed value for the pseudo random number generator.

  Returns:
    The current seed value for the pseudo random number generator.

### getBaseFrequencyX

    public double getBaseFrequencyX()

  Gets the current base fequency in x direction.

  Returns:
    The current base fequency in x direction.

### getBaseFrequencyY

    public double getBaseFrequencyY()

  Gets the current base fequency in y direction.

  Returns:
    The current base fequency in y direction.

### getNumOctaves

    public int getNumOctaves()

  Gets the current number of octaves for the noise function .

  Returns:
    The current number of octaves for the noise function .

### isStitched

    public boolean isStitched()

  Returns true if the turbulence function is currently stitching tiles.

  Returns:
    true if the turbulence function is currently stitching tiles.

### isFractalNoise

    public boolean isFractalNoise()

  Returns true if the turbulence function is using fractal noise, instead of turbulence noise.

  Returns:
    true if the turbulence function is using fractal noise, instead of turbulence noise.

### setSeed

    public void setSeed(int seed)

  Sets the seed value for the pseudo random number generator.

  Parameters:
    `seed` - The new seed value for the pseudo random number generator.

### setBaseFrequencyX

    public void setBaseFrequencyX(double xfreq)

  Sets the base fequency in x direction.

  Parameters:
    `xfreq` - The new base fequency in x direction.

### setBaseFrequencyY

    public void setBaseFrequencyY(double yfreq)

  Sets the base fequency in y direction.

  Parameters:
    `yfreq` - The new base fequency in y direction.

### setNumOctaves

    public void setNumOctaves(int numOctaves)

  Sets the number of octaves for the noise function .

  Parameters:
    `numOctaves` - The new number of octaves for the noise function .

### setStitched

    public void setStitched(boolean stitched)

  Sets stitching state for tiles.

  Parameters:
    `stitched` - true if the turbulence operator should stitch tiles.

### setFractalNoise

    public void setFractalNoise(boolean fractalNoise)

  Turns on/off fractal noise.

  Parameters:
    `fractalNoise` - true if fractal noise should be used.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.